Bug 1227892 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000002c
Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000002c
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 22
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9b87f85ad01da73dd38f008f2f2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-03 17:59 UTC by Bruce Cowan
Modified: 2016-07-19 14:36 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:36:53 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (58.58 KB, text/plain)
2015-06-03 18:00 UTC, Bruce Cowan
no flags Details

Description Bruce Cowan 2015-06-03 17:59:57 UTC
Additional info:
reporter:       libreport-2.5.1
BUG: unable to handle kernel NULL pointer dereference at 0000002c
IP: [<c08065e0>] intel_gtt_insert_sg_entries+0x30/0xa0
*pdpt = 00000000181b0001 *pde = 0000000000000000 
Oops: 0000 [#1] SMP 
Modules linked in: bnep bluetooth fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 iwl3945 iwlegacy snd_hda_codec_idt snd_hda_codec_generic iTCO_wdt iTCO_vendor_support mac80211 snd_hda_intel dell_wmi sparse_keymap gpio_ich snd_hda_controller snd_hda_codec snd_hwdep dell_laptop snd_seq dcdbas coretemp lpc_ich snd_seq_device cfg80211 i8k snd_pcm serio_raw mfd_core r592 i2c_i801 memstick snd_timer snd rfkill
 wmi soundcore acpi_cpufreq btrfs xor i915 b44 mii raid6_pq ssb firewire_ohci i2c_algo_bit sdhci_pci drm_kms_helper firewire_core sdhci ata_generic drm mmc_core pata_acpi crc_itu_t video
CPU: 0 PID: 1393 Comm: Xorg Not tainted 4.0.2-300.fc22.i686+PAE #1
Hardware name: Dell Inc. MM061                           /0KD882, BIOS A17 06/13/2007
task: da06f640 ti: e58f8000 task.ti: e58f8000
EIP: 0060:[<c08065e0>] EFLAGS: 00010216 CPU: 0
EIP is at intel_gtt_insert_sg_entries+0x30/0xa0
EAX: 00000018 EBX: 00000003 ECX: 00010000 EDX: e187bcf0
ESI: 00003000 EDI: 00000018 EBP: e58f9c28 ESP: e58f9c04
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
CR0: 8005003b CR2: 0000002c CR3: 2b5c8000 CR4: 000007f0
Stack:
 ffffffff e187bcf0 00000003 00010000 000004f0 00000000 e81e4500 00010000
 f6484354 e58f9c44 f83a96de 00003000 00000000 e81e4500 00000004 f6484354
 e58f9c68 f83ab89a 00000000 c0d42060 f4812864 c1d78000 f83a9290 e81e4500
Call Trace:
 [<f83a96de>] i915_ggtt_bind_vma+0x4e/0x70 [i915]
 [<f83ab89a>] i915_vma_bind+0x1a/0xb0 [i915]
 [<f83a9290>] ? i915_ggtt_clear_range+0x30/0x30 [i915]
 [<f83b2a0b>] i915_gem_object_pin_view+0x86b/0x920 [i915]
 [<f83a5582>] i915_gem_execbuffer_reserve_vma.isra.11+0x62/0x100 [i915]
 [<f83a58f9>] i915_gem_execbuffer_reserve+0x2d9/0x360 [i915]
 [<f83a62cd>] i915_gem_do_execbuffer.isra.16+0x64d/0xe20 [i915]
 [<c0594d95>] ? __kmalloc+0x195/0x260
 [<f83a7b79>] ? i915_gem_execbuffer2+0x59/0x2e0 [i915]
 [<f83a7bab>] i915_gem_execbuffer2+0x8b/0x2e0 [i915]
 [<f83a7b20>] ? i915_gem_execbuffer+0x520/0x520 [i915]
 [<f81f4153>] drm_ioctl+0x1b3/0x560 [drm]
 [<f83a7b20>] ? i915_gem_execbuffer+0x520/0x520 [i915]
 [<c0593f83>] ? kmem_cache_free+0x183/0x1b0
 [<c05bc4a4>] ? dentry_free+0x44/0x90
 [<c05c0756>] ? evict+0xd6/0x150
 [<c05bc4a4>] ? dentry_free+0x44/0x90
 [<c05bc4a4>] ? dentry_free+0x44/0x90
 [<f81f3fa0>] ? drm_getmap+0xc0/0xc0 [drm]
 [<c05b9372>] do_vfs_ioctl+0x2e2/0x500
 [<c0691d4d>] ? file_has_perm+0x8d/0xc0
 [<c05a8301>] ? __fput+0xe1/0x1d0
 [<c0695ecb>] ? selinux_file_ioctl+0x4b/0xe0
 [<c05b95f8>] SyS_ioctl+0x68/0x80
 [<c0a930df>] sysenter_do_call+0x12/0x12
Code: 53 83 ec 18 3e 8d 74 26 00 8b 38 89 45 e0 8b 40 04 89 d6 89 4d e8 c7 45 e4 00 00 00 00 85 c0 74 6a 8d 76 00 8d bc 27 00 00 00 00 <8b> 47 14 c1 e8 0c 85 c0 89 45 f0 74 3b 31 db 89 75 ec 8d b6 00
EIP: [<c08065e0>] intel_gtt_insert_sg_entries+0x30/0xa0 SS:ESP 0068:e58f9c04
CR2: 000000000000002c

Comment 1 Bruce Cowan 2015-06-03 18:00:03 UTC
Created attachment 1034434 [details]
File: dmesg

Comment 2 Fedora End Of Life 2016-07-19 14:36:53 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.